﻿using Stimulsoft.Report;
using Stimulsoft.Report.Export;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ExportReportToPdf
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var tsk = Task.Factory.StartNew(() =>
            {
                ExportReportToPdf();
            });
            tsk.Wait();
            MessageBox.Show("Done.");
        }

        private void ExportReportToPdf()
        {
            // Init rpt
            var rpt = new StiReport();
            rpt.Load("Report.mrt");

            // Set options
            var options = new StiPdfExportSettings();
            options.ImageResolutionMode = StiImageResolutionMode.Auto;

            // Get path
            var path = Path.Combine(Path.GetTempPath(), "exportPdfTemp.pdf");
            if (File.Exists(path))
                File.Delete(path);

            // Render & Export
            rpt.RenderWithWpf(false);
            rpt.ExportDocument(StiExportFormat.Pdf, path, options);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            ExportReportToPdf();
            MessageBox.Show("Done.");
        }
    }
}
